<script setup>
import { Disclosure, DisclosureButton, DisclosurePanel } from '@headlessui/vue'
import Triangle from './Triangle.vue'
import EmbedBlock from './EmbedBlock.vue'
import RichTextBlock from './RichTextBlock.vue'
</script>


<template>
  <div
    v-if="data.staged"
    >
    <component
      :is="block.blockType" 
      v-for="block in data.body" 
      :key="block.id"
      :intro="data.parent.pageType == 'Publication'"
      :data="block">
    </component>
  </div>
  <div v-else>
    <Disclosure v-slot="{ open }" :defaultOpen="data.staged">
      <DisclosureButton
          class="flex w-full py-3 text-2xl font-medium text-left focus:outline-none focus-visible:ring focus-visible:ring-black focus-visible:ring-opacity-75"
        >
          <Triangle
            :class="open ? 'transform rotate-90' : ''"
            class="w-8 h-8"
          />
          <h3 class="text-2xl">{{ data.title }}</h3>
        </DisclosureButton>
        <DisclosurePanel class="pl-9 pb-3">
          <component 
            :is="block.blockType" 
            v-for="block in data.body" 
            :key="block.id" 
            :data="block">
          </component>
        </DisclosurePanel>
      </Disclosure>
  </div>
</template>

<script>
export default {
    components: { EmbedBlock, RichTextBlock },
    props: {
        data: {}
    }
}
</script>

<style>
</style>